FreeBSD : mysql/mariadb/percona server -- multiple vulnerabilities (8c773d7f-6cbb-11e2-b242-c8600054b392)

medium Nessus Plugin ID 64421
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

ORACLE reports :

Multiple SQL injection vulnerabilities in the replication code

Stack-based buffer overflow

Heap-based buffer overflow

Solution

Update the affected packages.

See Also

https://mariadb.atlassian.net/browse/MDEV-4029

http://www.nessus.org/u?a50de489

http://www.nessus.org/u?a50de489

http://www.nessus.org/u?6c5021eb

http://www.nessus.org/u?c62174a0

Plugin Details

Severity: Medium

ID: 64421

File Name: freebsd_pkg_8c773d7f6cbb11e2b242c8600054b392.nasl

Version: 1.6

Type: local

Published: 2/4/2013

Updated: 1/6/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.5

Vector: AV:N/AC:L/Au:S/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:mariadb-server, p-cpe:/a:freebsd:freebsd:mysql-server, p-cpe:/a:freebsd:freebsd:percona-server, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2/1/2013

Vulnerability Publication Date: 12/1/2012

Reference Information

CVE: CVE-2012-4414, CVE-2012-5611, CVE-2012-5612, CVE-2012-5615, CVE-2012-5627